const sequelize = require('../db');
const {DataTypes} = require('sequelize');

const Warehouse = sequelize.define('warehouse', {
    playerId: DataTypes.INTEGER,
    capacity: DataTypes.INTEGER, // Общая ёмкость склада
    wood: DataTypes.INTEGER,
    coal: DataTypes.INTEGER,
    oil: DataTypes.INTEGER,
    metall: DataTypes.INTEGER,
    gold: DataTypes.INTEGER,
    diamond: DataTypes.INTEGER,
})

const Truck = sequelize.define('truck', {
    warehouseId: DataTypes.INTEGER,
    capacity: DataTypes.INTEGER, // Сколько может перевезти за час
    efficiency: DataTypes.INTEGER // Частота транспортировки (количество операций в час)
})

module.exports = Warehouse, Truck;
